# std::complex::operator+(unary), operator-(unary)

From cppreference.com
< cpp‎ | numeric‎ | complex

template< class T > complex<T> operator+( const complex<T>& val ); | (1) |
template< class T > complex<T> operator-( const complex<T>& val ); | (2) |

Implements the analogs of the unary arithmetic operators for complex numbers.

1) Returns the value of its argument
2) Negates the argument

### Parameters

val | - | the complex number argument

### Return value

1) a copy of the argument, complex<T>(val)
2) negated argument, complex<T>(-val.real(), -val.imag())

### See also

operator+operator-operator*operator/ | performs complex number arithmetics on two complex values or a complex and a scalar (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/complex/operator_arith2&oldid=58484"